/**
 * Je uživatel ve složce projektu
 * @return  {Promise} callback Promise s výsledky otázek
 */
module.exports = function(opts) {
    var inquirer = require('inquirer');
    var assign = require('lodash.assign');
    var partialRight = require('partial-right');
    var omit = require('lodash.omit');

    var questions = [{
        name: "action",
        message: "Ukončit BrowserSync session?",
        type: "list",
        choices: ["Ano", "Ne"],
        filter: function(str) {
            return ACTION_TYPES[str.toLowerCase()];
        }
    }];

    var ACTION_TYPES = {
        "ano": "exit-process",
        "ne": "inquire-exit-browsersync-session",
    };

    var inquiryResolver = function(answers, resolve) {
        resolve({
            action: answers.action,
            options: omit(assign(opts, answers), 'action')
        });
    };

    return new Promise(function(resolve, reject) {
        try {
            require('../libs/stdout-content').title('Build skripty');
            inquirer.prompt(questions, partialRight(inquiryResolver, resolve));
        } catch (e) {
            reject(e);
        }
    });
};
