/**
 * Je uživatel ve složce projektu
 * @return  {Promise} callback Promise s výsledky otázek
 */
module.exports = function(opts) {
    var inquirer = require('inquirer');
    var assign = require('lodash.assign');
    var partialRight = require('partial-right');
    var slugify = require('../libs/slugify');
    var omit = require('lodash.omit');

    var questions = [{
        name: "action",
        message: "Jak ti můžu pomoct s tímhle projektem?",
        type: "list",
        choices: ["Spustit build skripty", "Vytvořit součást (stránka, blok...)", "Instalovat NPM modul", "Instalovat refill", "Nastavení projektu"],
        filter: function(str) {
            return ACTION_TYPES[slugify(str)];
        }
    }];

    var ACTION_TYPES = {
        "spustit-build-skripty": "inquire-run-build-script",
        "vytvorit-soucast-stranka-blok": "inquire-create-component",
        "instalovat-npm-modul": "inquire-install-npm-module",
        "instalovat-refill": "inquire-install-refill",
        "nastaveni-projektu": "inquire-project-config",
    };

    var inquiryResolver = function(answers, resolve) {
        resolve({
            action: answers.action,
            options: omit(assign(opts, answers), 'action')
        });
    };

    return new Promise(function(resolve, reject) {
        try {
            require('../libs/stdout-content').title('Projektové operace');
            inquirer.prompt(questions, partialRight(inquiryResolver, resolve));
        } catch (e) {
            reject(e);
        }
    });
};
