/**
 * Zjišťuje podrobnosti před vytvářením browser sync proxy
 * @return  {Promise} callback Promise s výsledky otázek
 */
module.exports = function(opts) {
    var inquirer = require('inquirer');
    var assign = require('lodash.assign');
    var partialRight = require('partial-right');
    var omit = require('lodash.omit');
    var slugify = require('../libs/slugify');

    var isURL = partialRight(require('validator').isURL, {
        protocols: ['https', 'http'],
        require_protocol: true,
        require_tld: false
    });

    var questions = [{
        name: "refillName",
        message: "Jméno refillu",
        type: "input",
        filter: function(str) {
            return slugify(str)
        },
        validate: function(input) {
            // TODO check, jestli modul existuje
            return true;
        }
    }];

    var inquiryResolver = function(answers, resolve) {
        resolve({
            action: 'task-install-refill',
            options: omit(assign(opts, answers), 'action')
        });
    };

    return new Promise(function(resolve, reject) {
        try {
            require('../libs/stdout-content').title('Instalovat refill');
            inquirer.prompt(questions, partialRight(inquiryResolver, resolve));
        } catch (e) {
            reject(e);
        }
    });
}
