/**
 * Operace mimo složku projektu
 * @return  {Promise} callback Promise s výsledky otázek
 */
module.exports = function(opts) {
    var inquirer = require('inquirer');
    var assign = require('lodash.assign');
    var slugify = require('../libs/slugify');
    var partialRight = require('partial-right');
    var omit = require('lodash.omit');

    var ACTION_MAP = {
        "vytvorit-novy-projekt": "inquire-create-project",
        "vytvorit-novy-refill": "inquire-create-refill",
        "spustit-browsersync-proxy": "inquire-start-browsersync-session"
    };

    var questions = [{
        name: "action",
        message: "Co pro tebe můžu udělat?",
        type: "list",
        choices: ["Vytvořit nový projekt", "Vytvořit nový refill", "Spustit BrowserSync proxy"],
        filter: function(str) {
            return ACTION_MAP[slugify(str)];
        }
    }];

    var inquiryResolver = function(answers, resolve) {
        resolve({
            action: answers.action,
            options: omit(assign(opts, answers), 'action')
        });
    };

    return new Promise(function(resolve, reject) {
        try {
            require('../libs/stdout-content').title('Neprojektové operace');
            inquirer.prompt(questions, partialRight(inquiryResolver, resolve));
        } catch (e) {
            reject(e);
        }
    });

};
