/**
 * Je uživatel ve složce projektu
 * @return  {Promise} callback Promise s výsledky otázek
 */
module.exports = function(opts) {
    var inquirer = require('inquirer');
    var assign = require('lodash.assign');
    var slugify = require('../libs/slugify');
    var partialRight = require('partial-right');
    var omit = require('lodash.omit');

    var questions = [{
        name: "buildScript",
        message: "Vyber build skript ke spuštění?",
        type: "list",
        choices: ["Development build", "Produkční build", "Optimalizace obrázků", "Vygenerování icon fontu"],
        filter: function(str) {
            return ACTION_TYPES[slugify(str)];
        }
    }];

    var ACTION_TYPES = {
        "development-build": "task-run-development-build",
        "produkcni-build": "task-run-production-build",
        "optimalizace-obrazku": "task-run-assets-compile",
        "vygenerovani-icon-fontu": "task-run-font-compile"
    };

    var inquiryResolver = function(answers, resolve) {
        resolve({
            action: answers.buildScript,
            options: omit(assign(opts, answers), 'action')
        });
    };

    return new Promise(function(resolve, reject) {
        try {
            require('../libs/stdout-content').title('Build skripty');
            inquirer.prompt(questions, partialRight(inquiryResolver, resolve));
        } catch (e) {
            reject(e);
        }
    });
};
