module.exports = function(opts) {
    var targetURL = opts.targetURL;
    var url = require('url');
    var partialRight = require('partial-right');
    var executive = require('executive');
    var template = require('lodash.template');
    var command = template(__dirname + 'node ../node_modules/browser-sync/bin/browser-sync.js browser-sync start --proxy="<%= url %>" <% isHTTPS ? print("--https") : "" %> --no-ui');
    var isURL = partialRight(require('validator').isURL, {
        protocols: ['https', 'http'],
        require_protocol: true,
        require_tld: false
    });

    var isHTTPS = partialRight(require('validator').isURL, {
        protocols: ['https'],
        require_protocol: true,
        require_tld: false
    });

    var taskResolver = function(resource, resolve) {
        resolve({
            action: 'inquire-exit-browsersync-session',
            resource: resource
        });
    };

    return new Promise(function(resolve, reject) {
        if (isURL(targetURL)) {

            var commandString = command({
                url: targetURL,
                isHTTPS: isHTTPS(targetURL)
            });

            taskResolver(executive(commandString, {
                interactive: true
            }), resolve);

        } else {
            reject();
        }
    });
};
